aboutsummaryrefslogtreecommitdiff
path: root/toolchain/dependencies
diff options
context:
space:
mode:
authorGravatar Eric Andersen <andersen@codepoet.org>2006-07-18 23:39:39 +0000
committerGravatar Eric Andersen <andersen@codepoet.org>2006-07-18 23:39:39 +0000
commit8c709551ffb7ba5d28c504cc7bb0cab06e9324cb (patch)
treeb8c656a14356d26b64ad3a64e8e04167812a6922 /toolchain/dependencies
parentddb5ebab06e5f8dfbf72705f292875b4452e0cc1 (diff)
downloadbuildroot-8c709551ffb7ba5d28c504cc7bb0cab06e9324cb.tar.gz
buildroot-8c709551ffb7ba5d28c504cc7bb0cab06e9324cb.tar.bz2
put sed check in the correct place
Diffstat (limited to 'toolchain/dependencies')
-rw-r--r--toolchain/dependencies/dependencies.mk2
-rwxr-xr-xtoolchain/dependencies/dependencies.sh34
2 files changed, 29 insertions, 7 deletions
diff --git a/toolchain/dependencies/dependencies.mk b/toolchain/dependencies/dependencies.mk
index 1b25a15733..0bcb840d35 100644
--- a/toolchain/dependencies/dependencies.mk
+++ b/toolchain/dependencies/dependencies.mk
@@ -5,7 +5,7 @@
#
######################################################################
-dependencies:
+dependencies: host-sed
$(TOPDIR)/toolchain/dependencies/dependencies.sh
dependencies-source:
diff --git a/toolchain/dependencies/dependencies.sh b/toolchain/dependencies/dependencies.sh
index c0a23ae1cf..b14b941d7e 100755
--- a/toolchain/dependencies/dependencies.sh
+++ b/toolchain/dependencies/dependencies.sh
@@ -6,6 +6,28 @@ set -e
echo "Checking build system dependencies:"
echo ""
+#############################################################
+#
+# check build system 'sed'
+#
+#############################################################
+if test -x /usr/bin/sed ; then
+ SED="/usr/bin/sed"
+else
+ if test -x /bin/sed ; then
+ SED="/bin/sed"
+ else
+ SED="sed"
+ fi
+fi
+echo "HELLO" > .sedtest
+$SED -i -e "s/HELLO/GOODBYE/" .sedtest >/dev/null 2>&1
+if test $? != 0 ; then
+ echo "sed works: No, using buildroot version instead"
+else
+ echo "sed works: Ok"
+fi
+XSED=$HOST_SED_DIR/bin/sed
#############################################################
#
@@ -18,14 +40,14 @@ if [ -z "$MAKE" ] ; then
echo -e "\n\nYou must install 'make' on your build machine\n";
exit 1;
fi;
-MAKE_VERSION=$($MAKE --version 2>&1 | head -n1 | sed -e 's/^.* \([0-9\.]\)/\1/g' -e 's/[-\ ].*//g')
+MAKE_VERSION=$($MAKE --version 2>&1 | head -n1 | $XSED -e 's/^.* \([0-9\.]\)/\1/g' -e 's/[-\ ].*//g')
if [ -z "$MAKE_VERSION" ] ; then
echo "make installed: FALSE"
echo -e "\n\nYou must install 'make' on your build machine\n";
exit 1;
fi;
-MAKE_MAJOR=$(echo $MAKE_VERSION | sed -e "s/\..*//g")
-MAKE_MINOR=$(echo $MAKE_VERSION | sed -e "s/^$MAKE_MAJOR\.//g" -e "s/\..*//g")
+MAKE_MAJOR=$(echo $MAKE_VERSION | $XSED -e "s/\..*//g")
+MAKE_MINOR=$(echo $MAKE_VERSION | $XSED -e "s/^$MAKE_MAJOR\.//g" -e "s/\..*//g" -e "s/[a-zA-Z].*//g")
if [ $MAKE_MAJOR -lt 3 -o $MAKE_MAJOR -eq 3 -a $MAKE_MINOR -lt 8 ] ; then
echo "You have make '$MAKE_VERSION' installed. GNU make >=3.80 is required"
exit 1;
@@ -48,14 +70,14 @@ if [ -z "$COMPILER" ] ; then
exit 1;
fi;
fi;
-COMPILER_VERSION=$($COMPILER --version 2>&1 | head -n1 | sed -e 's/^.* \([0-9\.]\)/\1/g' -e "s/[-\ ].*//g")
+COMPILER_VERSION=$($COMPILER --version 2>&1 | head -n1 | $XSED -e 's/^.* \([0-9\.]\)/\1/g' -e "s/[-\ ].*//g")
if [ -z "$COMPILER_VERSION" ] ; then
echo "gcc installed: FALSE"
echo -e "\n\nYou must install 'gcc' on your build machine\n";
exit 1;
fi;
-COMPILER_MAJOR=$(echo $COMPILER_VERSION | sed -e "s/\..*//g")
-COMPILER_MINOR=$(echo $COMPILER_VERSION | sed -e "s/^$COMPILER_MAJOR\.//g" -e "s/\..*//g")
+COMPILER_MAJOR=$(echo $COMPILER_VERSION | $XSED -e "s/\..*//g")
+COMPILER_MINOR=$(echo $COMPILER_VERSION | $XSED -e "s/^$COMPILER_MAJOR\.//g" -e "s/\..*//g")
if [ $COMPILER_MAJOR -lt 3 -o $COMPILER_MAJOR -eq 2 -a $COMPILER_MINOR -lt 95 ] ; then
echo "You have gcc '$COMPILER_VERSION' installed. gcc >= 2.95 is required"
exit 1;